@font-face {
    font-family: dinroundpromedi; /* Гарнитура шрифта */
    src: url(../font/dinroundpromedi.otf); /* Путь к файлу со шрифтом */
}
html {
	padding: 0px;
	margin: 0px;
	color: rgb(255,255,255);
	background-color: rgb(0,0,0);
	font-family: dinroundpromedi,sans-serif;
	font-size: 32px;
	width: 100%;
    max-width: 100%;
}
body {
	padding: 0px;
	margin: 0px;
	width: 100%;
    max-width: 100%;
}
header {
	width: 100%;
	display: block;
	position: fixed;
	top: 0px;
	padding: 0px;
	margin: 0px;
	z-index: 99;
}
section {
	width: 100%;
	display: block;
	padding: 0px;
	margin: 0px;
}
#sectionheader {
	display: block;
}
#sectionfooter {
	display: block;
}
footer {
	width: 100%;
	display: block;
	position: fixed;
	bottom: 0px;
	padding: 0px;
	margin: 0px;
	background-color: rgb(40,40,40);
	z-index: 99;
}
a {
	color: inherit;
	text-decoration: none;
	outline: none;
	display: block;
}
input {
	color: rgb(255,255,255);
	background-color: rgb(40,40,40);
	border: 1px;
	border-style: solid;
	border-color: rgb(255,255,255);
	font-size: 28px;
	font-family: dinroundpromedi,sans-serif;
	margin-top: 5px;
}
select {
	color: rgb(255,255,255);
	background-color: rgb(40,40,40);
	border: 1px;
	border-style: solid;
	border-color: rgb(255,255,255);
	font-size: 16px;
	font-family: dinroundpromedi,sans-serif;
	margin-top: 5px;
}
textarea {
    resize: none;
	color: rgb(255,255,255);
	background-color: rgb(40,40,40);
	border: 1px;
	border-style: solid;
	border-color: rgb(255,255,255);
	font-size: 24px;
	font-family: dinroundpromedi,sans-serif;
	margin-top: 5px;
} 
#headermenu {
	display: flex;
  	flex-direction: row;
	background-color: rgb(40,40,40);
}
#name {
	font-family: dinroundpromedi;
	font-weight: 600;
	font-size: 48px;
	padding: 5px 50px 5px 10px;
	user-select: none;
	flex-grow: 0;
	color: rgb(226,88,34);
}
#name span{
	color: rgb(115,133,149);
}
#mainmenu {
	flex-grow: 1;
}
.hidden {
	visibility: hidden;
	height: 0px;
	opacity: 0;
}
#blockname {
	padding-left: 20px;
	padding-top: 10px;
	padding-bottom: 10px;
	font-size: 36px;
	flex-grow: 0;
	color: rgb(242,195,21);
	background-color: rgb(0,0,0);
}
#blockmessage {
	position: fixed;
	bottom: 61px;
	width: 100%;
	display: block;
	font-size: 18px;
	flex-grow: 0;
	transition: opacity 0.5s;
	line-height: 50px;
	cursor: default;
	user-select: none;
	overflow: hidden;
}
#blockmessage div {
	padding-left: 10px;
}
.messageerror {
	color: rgb(216,0,12);
	background-color: rgb(255,186,186);
}
.messagewarning {
	color: rgb(159,96,0);
	background-color: rgb(254,239,179);
}
.messagesucces {
	color: rgb(79,138,16);
	background-color: rgb(223,242,191);
}
.messageinfo {
	color: rgb(49, 112, 143);
	background-color: rgb(217,237,247);
}
#blockmain {
    display: flex;
    flex-direction: row;
}
#topmenu {
	display: flex;
  	flex-direction: row;
}
.topmenuitem {
	padding-left: 30px;
	padding-right: 30px;
	padding-top: 15px;
	padding-bottom: 15px;
	user-select: none;
	cursor: pointer;
	text-align: center;
	font-size: 36px;
	transition: background-color 0.2s ease 0.1s;
	word-wrap: break-word;
	white-space: nowrap;
}
.topmenuitem:hover {
	background-color: rgb(60,60,60);
}
#bottommenu {
	display: flex;
  	flex-direction: row;
}
.bottommenuitem {
	padding-left: 20px;
	padding-right: 20px;
	padding-top: 10px;
	padding-bottom: 10px;
	user-select: none;
	cursor: pointer;
	text-align: center;
	font-size: 32px;
	transition: background-color 0.2s ease 0.1s;
}
.bottommenuitem:hover {
	background-color: rgb(60,60,60);
}
.blockgridmain{
	height: 100%;
	display: flex;
  	flex-direction: column;
}
.blockgridhead {
  	flex-grow: 0;
	display: flex;
  	flex-direction: row;
	background-color: rgb(60,60,60);
	font-size: 32px;
	padding-bottom: 4px;
	user-select: none;
}
.blockgridtable {
  	flex-grow: 1;
	display: flex;
  	flex-direction: column;
	user-select: none;
	height: 100%;
}
.blockgridheadcell {
	padding-left: 5px;
}
.blocgridheadcellscroll {
	width: 17px;
}
.textcenter {
	text-align: center;
	padding-left: 0px !important;
}
.blockgridrow {
	display: flex;
  	flex-direction: row;
	padding-bottom: 2px;
	cursor: pointer;
}
.blockgridrow:hover {
	background-color: rgb(30,30,30);
}
.blockgridrowselected {
	color: rgb(0, 0, 0) !important;
	background-color: rgb(242,195,21) !important;
}
.blockgridcell {
	padding-left: 5px;
}
.blockgridrowselected {
	color: rgb(0, 0, 0) !important;
	background-color: rgb(242,195,21) !important;
}
.blockparam {
	min-width: 1000px;
	overflow-y: auto;
	padding-left: 10px;
}
.paraminfo {
	color: rgb(242,195,21);
}
#blockmodal {
	position: fixed;
	left: 0;
	top: 0;
	height: 100%;
	width: 100%;
	background-color: rgba(0, 0, 0, 0.75);
	z-index: 999;
}
#modalmain {
	position: relative;
	display: flex;
  	flex-direction: column;
	height: 750px;
	width: 500px;
	margin: auto;
	top: 200px;
	background-color: rgb(20, 20, 20);
	border-width: 2px;
	border-style: solid;
}
#modalname {
	padding-left: 20px;
	padding-top: 10px;
	padding-bottom: 10px;
	font-size: 36px;
	flex-grow: 0;
	color: rgb(242,195,21);
}
#modalpage {
	flex-grow: 1;
	overflow: hidden;
}
#modalmenu {
	background-color: rgb(40,40,40);
	display: flex;
  	flex-direction: row;
	flex-grow: 0;
	padding: 0px;
    margin: 0px;
    justify-content: stretch;
}
.modalmenuitem {
	padding-left: 20px;
	padding-right: 20px;
	padding-top: 10px;
	padding-bottom: 10px;
	user-select: none;
	cursor: pointer;
	text-align: center;
	font-size: 32px;
	transition: background-color 0.2s ease 0.1s;
	flex-grow: 1;
}
.modalmenuitem:hover {
	background-color: rgb(60,60,60);
}
.blockfilter {
  	flex-grow: 0;
}
.blockinput {
	margin: 0px 10px 10px 10px;
}
#filterkey {
	max-width: 300px;
	width: 100%;
}
.blockgraph {
	display: flex;
	flex-direction: column;
	width: 100%;
	height: 100%;
}
.blockgraphseries {
	display: flex;
	flex-direction: column;
}
#chart {
	width: 100%;
	min-height: 300px;
	max-height: 450px;
	display: block;
}
.graphseries {
	display: flex;
	font-size: 32px;
}
.graphseriespin {
	display: block;
	height: 32px;
	width: 32px;
	border-radius: 32px;
	margin-left: 8px;
	margin-right: 8px;
  	flex-direction: row;
	margin-top: 5px;
	margin-bottom: 5px;
}
.graphseriesbutton {
	display: block;
	height: 24px;
	width: 32px;
	font-size: 24px;
	text-align: center;
	margin-top: 4px;
	margin-bottom: 4px;
	user-select: none;
	cursor: pointer;
}
.graphseriesname {
	display: block;
	width: 700px;
	margin-left: 8px;
}
.graphseriesdevice {
	display: block;
	width: 300px;
	margin-left: 8px;
}
.graphseriescycle {
	display: block;
	width: 200px;
}
.graphseriesparam {
	display: block;
	width: 200px;
}
.blockgraphperiod {
	display: flex;
	flex-direction: row;
}
.graphperiodspace {
	width: 20px;	
}
.graphperiodbutton {
	width: 30px;	
	height: 40px;
	font-size: 32px;
	text-align: center;
	user-select: none;
	cursor: pointer;
}
.graphperiodtext {
	height: 40px;
	font-size: 32px;
	text-align: center;
	padding-left: 10px;
	padding-right: 20px;
}
.graphperiodvalue {
	width: 40px;	
	height: 40px;
	font-size: 32px;
	text-align: center;
	color: rgb(242,195,21);
	font-weight: 600;
}
th {
	padding-left: 10px;
	text-align: left;
	font-weight: 100;
}
.colvalue {
	color: rgb(242,195,21);
	font-weight: 600;
}
#paramgrid {
	overflow-y: scroll;
}